#include <stdio.h>

int main() {
    int N;
    scanf("%d", &N);
    int A[N], B[N];
    
    for (int i = 0; i < N; i++) {
        scanf("%d", &A[i]);
    }
    
    for (int i = 0; i < N; i++) {
        scanf("%d", &B[i]);
    }
    int max = 0; 
    for (int i = 0; i < N; i++) {
        int disju = 0;
        int konj = (1 << 30) - 1; 

        for (int j = i; j < N; j++) {
            disju ^= A[j]; 
            konj &= B[j];  

            int vrednost = disju * konj; 
            if (vrednost > max) {
                max = vrednost; 
            }
        }
    }

    printf("%d\n", max); 
    return 0;
}